## org.jgroups.util
Class SeqnoTable

    java.lang.Object
      org.jgroups.util.SeqnoTable

    public class SeqnoTable

extends java.lang.Object

Maintains the highest received and highest delivered seqno per member

Author:
  Bela Ban

Constructor Summary
`SeqnoTable(long next_to_receive)`

Method Summary
`boolean` `add(Address member, long seqno)`
`void` `clear()`
`long` `getHighestReceived(Address member)`
`long` `getNextToReceive(Address member)`
`void` `remove(Address member)`
`boolean` `retainAll(java.util.Collection<Address> members)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SeqnoTable

    public SeqnoTable(long next_to_receive)

Method Detail

### getHighestReceived

    public long getHighestReceived(Address member)

### getNextToReceive

    public long getNextToReceive(Address member)

### add

    public boolean add(Address member,
                       long seqno)

### remove

    public void remove(Address member)

### retainAll

    public boolean retainAll(java.util.Collection<Address> members)

### clear

    public void clear()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.